org.apache.xmlbeans.impl.schema

## Class StscSimpleTypeResolver

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.StscSimpleTypeResolver

    public class StscSimpleTypeResolver
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StscSimpleTypeResolver()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `resolveSimpleType(SchemaTypeImpl sImpl)` SIMPLE TYPE RESOLUTION HERE Simple types can be declared as lists, unions, or restrictions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StscSimpleTypeResolver

    public StscSimpleTypeResolver()

### Method Detail

#### resolveSimpleType

    public static void resolveSimpleType(SchemaTypeImpl sImpl)

SIMPLE TYPE RESOLUTION HERE Simple types can be declared as lists, unions, or restrictions. These three cases are treated separately in resolveListType, resolveUnionType, and resolveSimpleRestrictionType. The intricate work with facets is done in the restriction case, using method called resolveFacets (the union and list cases have trivial facet rules). Then all simple types call resolveProperties in the end to have their "fundamental facets" resolved.